#define N_PLAT_MSNT

#include <windows.h>
#include <stdio.h>
#include <string.h>

#include <nwcalls.h>

void main (int argc, char *argv[])
{
	NWCCODE ccode;
	NWCONN_HANDLE conn;
	NWOBJ_ID objID;
	char serverName[50],objectName[50],newName[50];

	if (argc != 3)
	{
		printf ("Usage:  GETOBJ serverName userName\n");
		return;
	}

	strcpy (serverName, argv[1]);
	strupr (serverName);
	strcpy (objectName, argv[2]);
	strupr (objectName);
	
	ccode = NWCallsInit (NULL,NULL);
	if (ccode)	return;

	ccode = NWGetConnectionHandle (serverName, 0, &conn, NULL);
	if (ccode)
	{
		printf ("NWGetConnectionHandle returned %X\n", ccode);
		return;
	}

	ccode = NWGetObjectID (conn, objectName, OT_USER, &objID);
	if (ccode)
	{
		printf ("NWGetObjectID returned %X\n", ccode);
		return;
	}

	ccode = NWGetObjectName (conn, objID, newName, NULL);
	if (ccode)
	{
		printf ("NWGetObjectName returned %X\n", ccode);
		return;
	}

	printf ("NWGetObjectID worked for object %s on server %s\n", newName, serverName);
}
